Subject: Re: Fw: [Bug 82471] New: net/core/dev.c skb_war_bad_offload

From: Richard Laager <[email-masked]>
Date: Wed, 31 Dec 2014 00:51:55 -0600

I was able to do some bisection using Ubuntu-packaged kernels.

The kernel from Precise (3.2.0-74.109) works (on a Trusty system).

On 3.5.0-51-generic (3.5.0-51.76) from Quantal, I get a different kind
of brokenness. I don't get a stack dump, but I get this kernel message
printed:
skbuff: bond0.7: received packets cannot be forwarded while LRO is enabled

The kernels from Raring (3.8.0-35.50) and Saucy (3.11.0-26.45) are
broken in the same way as Trusty.

Does that skbuff error message provide any clue? If not, it seems that
I'll have to bisect from working-on-3.2 to broken-on-3.5, then revert
that offending commit in each test as I bisect again from 3.5 to 3.8?

-- 
Richard